kind: ImageStream
apiVersion: image.openshift.io/v1
metadata:
  annotations:
    openshift.io/display-name: Red Hat OpenJDK
    openshift.io/image.dockerRepositoryCheck: '2022-10-21T18:48:17Z'
    openshift.io/provider-display-name: 'Red Hat, Inc.'
    samples.operator.openshift.io/version: 4.11.10
    version: 1.4.17
  resourceVersion: '30739'
  name: java
  uid: 90c062ea-07ad-49ac-aa4b-a2c129692569
  creationTimestamp: '2022-10-21T18:48:15Z'
  generation: 2
  managedFields:
    - manager: cluster-samples-operator
      operation: Update
      apiVersion: image.openshift.io/v1
      time: '2022-10-21T19:06:25Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:openshift.io/display-name': {}
            'f:openshift.io/provider-display-name': {}
            'f:samples.operator.openshift.io/version': {}
            'f:version': {}
          'f:labels':
            .: {}
            'f:samples.operator.openshift.io/managed': {}
            'f:xpaas': {}
        'f:spec':
          'f:tags':
            'k:{"name":"11"}':
              .: {}
              'f:annotations':
                'f:version': {}
                'f:description': {}
                'f:iconClass': {}
                'f:tags': {}
                .: {}
                'f:sampleRepo': {}
                'f:openshift.io/display-name': {}
                'f:supports': {}
                'f:sampleContextDir': {}
              'f:from': {}
              'f:generation': {}
              'f:importPolicy': {}
              'f:name': {}
              'f:referencePolicy':
                .: {}
                'f:type': {}
            'k:{"name":"openjdk-8-el7"}':
              .: {}
              'f:annotations':
                'f:version': {}
                'f:description': {}
                'f:iconClass': {}
                'f:tags': {}
                .: {}
                'f:sampleRepo': {}
                'f:openshift.io/display-name': {}
                'f:supports': {}
                'f:sampleContextDir': {}
              'f:from': {}
              'f:generation': {}
              'f:importPolicy': {}
              'f:name': {}
              'f:referencePolicy':
                .: {}
                'f:type': {}
            'k:{"name":"8"}':
              .: {}
              'f:annotations':
                'f:version': {}
                'f:description': {}
                'f:iconClass': {}
                'f:tags': {}
                .: {}
                'f:sampleRepo': {}
                'f:openshift.io/display-name': {}
                'f:supports': {}
                'f:sampleContextDir': {}
              'f:from': {}
              'f:generation': {}
              'f:importPolicy': {}
              'f:name': {}
              'f:referencePolicy':
                .: {}
                'f:type': {}
            'k:{"name":"latest"}':
              .: {}
              'f:annotations':
                'f:version': {}
                'f:description': {}
                'f:iconClass': {}
                'f:tags': {}
                .: {}
                'f:sampleRepo': {}
                'f:openshift.io/display-name': {}
                'f:supports': {}
                'f:sampleContextDir': {}
              'f:from': {}
              'f:generation': {}
              'f:importPolicy': {}
              'f:name': {}
              'f:referencePolicy':
                .: {}
                'f:type': {}
            'k:{"name":"openjdk-11-el7"}':
              .: {}
              'f:annotations':
                'f:version': {}
                'f:description': {}
                'f:iconClass': {}
                'f:tags': {}
                .: {}
                'f:sampleRepo': {}
                'f:openshift.io/display-name': {}
                'f:supports': {}
                'f:sampleContextDir': {}
              'f:from': {}
              'f:generation': {}
              'f:importPolicy': {}
              'f:name': {}
              'f:referencePolicy':
                .: {}
                'f:type': {}
            .: {}
            'k:{"name":"openjdk-17-ubi8"}':
              .: {}
              'f:annotations':
                'f:version': {}
                'f:description': {}
                'f:iconClass': {}
                'f:tags': {}
                .: {}
                'f:sampleRepo': {}
                'f:openshift.io/display-name': {}
                'f:supports': {}
                'f:sampleContextDir': {}
              'f:from': {}
              'f:generation': {}
              'f:importPolicy': {}
              'f:name': {}
              'f:referencePolicy':
                .: {}
                'f:type': {}
            'k:{"name":"openjdk-11-ubi8"}':
              .: {}
              'f:annotations':
                'f:version': {}
                'f:description': {}
                'f:iconClass': {}
                'f:tags': {}
                .: {}
                'f:sampleRepo': {}
                'f:openshift.io/display-name': {}
                'f:supports': {}
                'f:sampleContextDir': {}
              'f:from': {}
              'f:generation': {}
              'f:importPolicy': {}
              'f:name': {}
              'f:referencePolicy':
                .: {}
                'f:type': {}
            'k:{"name":"openjdk-8-ubi8"}':
              .: {}
              'f:annotations':
                'f:version': {}
                'f:description': {}
                'f:iconClass': {}
                'f:tags': {}
                .: {}
                'f:sampleRepo': {}
                'f:openshift.io/display-name': {}
                'f:supports': {}
                'f:sampleContextDir': {}
              'f:from': {}
              'f:generation': {}
              'f:importPolicy': {}
              'f:name': {}
              'f:referencePolicy':
                .: {}
                'f:type': {}
        'f:status':
          'f:dockerImageRepository': {}
  namespace: openshift
  labels:
    samples.operator.openshift.io/managed: 'false'
    xpaas: 1.4.17
spec:
  lookupPolicy:
    local: false
  tags:
    - name: '11'
      annotations:
        description: Build and run Java applications using Maven and OpenJDK 11.
        iconClass: icon-rh-openjdk
        openshift.io/display-name: Red Hat OpenJDK 11
        sampleContextDir: undertow-servlet
        sampleRepo: 'https://github.com/jboss-openshift/openshift-quickstarts'
        supports: 'java:11,java'
        tags: 'builder,java,openjdk,hidden'
        version: '11'
      from:
        kind: DockerImage
        name: 'registry.redhat.io/openjdk/openjdk-11-rhel7:latest'
      generation: 2
      importPolicy: {}
      referencePolicy:
        type: Local
    - name: '8'
      annotations:
        description: Build and run Java applications using Maven and OpenJDK 8.
        iconClass: icon-rh-openjdk
        openshift.io/display-name: Red Hat OpenJDK 8
        sampleContextDir: undertow-servlet
        sampleRepo: 'https://github.com/jboss-openshift/openshift-quickstarts'
        supports: 'java:8,java'
        tags: 'builder,java,openjdk,hidden'
        version: '8'
      from:
        kind: DockerImage
        name: 'registry.redhat.io/redhat-openjdk-18/openjdk18-openshift:latest'
      generation: 2
      importPolicy: {}
      referencePolicy:
        type: Local
    - name: latest
      annotations:
        description: Build and run Java applications using Maven.
        iconClass: icon-rh-openjdk
        openshift.io/display-name: Java (Latest)
        sampleContextDir: undertow-servlet
        sampleRepo: 'https://github.com/jboss-openshift/openshift-quickstarts'
        supports: java
        tags: 'builder,java,openjdk'
        version: latest
      from:
        kind: ImageStreamTag
        name: openjdk-17-ubi8
      generation: 1
      importPolicy: {}
      referencePolicy:
        type: Local
    - name: openjdk-11-el7
      annotations:
        description: Build and run Java applications using Maven and OpenJDK 11.
        iconClass: icon-rh-openjdk
        openshift.io/display-name: Red Hat OpenJDK 11 (RHEL 7)
        sampleContextDir: undertow-servlet
        sampleRepo: 'https://github.com/jboss-openshift/openshift-quickstarts'
        supports: 'java:11,java'
        tags: 'builder,java,openjdk'
        version: '11'
      from:
        kind: DockerImage
        name: 'registry.redhat.io/openjdk/openjdk-11-rhel7:latest'
      generation: 2
      importPolicy: {}
      referencePolicy:
        type: Local
    - name: openjdk-11-ubi8
      annotations:
        description: Build and run Java applications using Maven and OpenJDK 11.
        iconClass: icon-rh-openjdk
        openshift.io/display-name: Red Hat OpenJDK 11 (UBI 8)
        sampleContextDir: undertow-servlet
        sampleRepo: 'https://github.com/jboss-openshift/openshift-quickstarts'
        supports: 'java:11,java'
        tags: 'builder,java,openjdk'
        version: '11'
      from:
        kind: DockerImage
        name: 'registry.redhat.io/ubi8/openjdk-11:latest'
      generation: 2
      importPolicy: {}
      referencePolicy:
        type: Local
    - name: openjdk-17-ubi8
      annotations:
        description: Build and run Java applications using Maven and OpenJDK 17.
        iconClass: icon-rh-openjdk
        openshift.io/display-name: Red Hat OpenJDK 17 (UBI 8)
        sampleContextDir: undertow-servlet
        sampleRepo: 'https://github.com/jboss-openshift/openshift-quickstarts'
        supports: 'java:17,java'
        tags: 'builder,java,openjdk'
        version: '17'
      from:
        kind: DockerImage
        name: 'registry.redhat.io/ubi8/openjdk-17:latest'
      generation: 2
      importPolicy: {}
      referencePolicy:
        type: Local
    - name: openjdk-8-el7
      annotations:
        description: Build and run Java applications using Maven and OpenJDK 8.
        iconClass: icon-rh-openjdk
        openshift.io/display-name: Red Hat OpenJDK 8 (RHEL 7)
        sampleContextDir: undertow-servlet
        sampleRepo: 'https://github.com/jboss-openshift/openshift-quickstarts'
        supports: 'java:8,java'
        tags: 'builder,java,openjdk'
        version: '8'
      from:
        kind: DockerImage
        name: 'registry.redhat.io/redhat-openjdk-18/openjdk18-openshift:latest'
      generation: 2
      importPolicy: {}
      referencePolicy:
        type: Local
    - name: openjdk-8-ubi8
      annotations:
        description: Build and run Java applications using Maven and OpenJDK 8.
        iconClass: icon-rh-openjdk
        openshift.io/display-name: Red Hat OpenJDK 8 (UBI 8)
        sampleContextDir: undertow-servlet
        sampleRepo: 'https://github.com/jboss-openshift/openshift-quickstarts'
        supports: 'java:8,java'
        tags: 'builder,java,openjdk'
        version: '8'
      from:
        kind: DockerImage
        name: 'registry.redhat.io/ubi8/openjdk-8:latest'
      generation: 2
      importPolicy: {}
      referencePolicy:
        type: Local
status:
  dockerImageRepository: 'image-registry.openshift-image-registry.svc:5000/openshift/java'
  tags:
    - tag: '11'
      items: null
      conditions:
        - type: ImportSuccess
          status: 'False'
          lastTransitionTime: '2022-10-21T18:48:17Z'
          reason: InternalError
          message: >-
            Internal error occurred:
            registry.redhat.io/openjdk/openjdk-11-rhel7:latest: Get
            "https://registry.redhat.io/v2/": Forbidden
          generation: 2
    - tag: '8'
      items: null
      conditions:
        - type: ImportSuccess
          status: 'False'
          lastTransitionTime: '2022-10-21T18:48:17Z'
          reason: InternalError
          message: >-
            Internal error occurred:
            registry.redhat.io/redhat-openjdk-18/openjdk18-openshift:latest: Get
            "https://registry.redhat.io/v2/": Forbidden
          generation: 2
    - tag: openjdk-11-el7
      items: null
      conditions:
        - type: ImportSuccess
          status: 'False'
          lastTransitionTime: '2022-10-21T18:48:17Z'
          reason: InternalError
          message: >-
            Internal error occurred:
            registry.redhat.io/openjdk/openjdk-11-rhel7:latest: Get
            "https://registry.redhat.io/v2/": Forbidden
          generation: 2
    - tag: openjdk-11-ubi8
      items: null
      conditions:
        - type: ImportSuccess
          status: 'False'
          lastTransitionTime: '2022-10-21T18:48:17Z'
          reason: InternalError
          message: >-
            Internal error occurred: registry.redhat.io/ubi8/openjdk-11:latest:
            Get "https://registry.redhat.io/v2/": Forbidden
          generation: 2
    - tag: openjdk-17-ubi8
      items: null
      conditions:
        - type: ImportSuccess
          status: 'False'
          lastTransitionTime: '2022-10-21T18:48:17Z'
          reason: InternalError
          message: >-
            Internal error occurred: registry.redhat.io/ubi8/openjdk-17:latest:
            Get "https://registry.redhat.io/v2/": Forbidden
          generation: 2
    - tag: openjdk-8-el7
      items: null
      conditions:
        - type: ImportSuccess
          status: 'False'
          lastTransitionTime: '2022-10-21T18:48:17Z'
          reason: InternalError
          message: >-
            Internal error occurred:
            registry.redhat.io/redhat-openjdk-18/openjdk18-openshift:latest: Get
            "https://registry.redhat.io/v2/": Forbidden
          generation: 2
    - tag: openjdk-8-ubi8
      items: null
      conditions:
        - type: ImportSuccess
          status: 'False'
          lastTransitionTime: '2022-10-21T18:48:17Z'
          reason: InternalError
          message: >-
            Internal error occurred: registry.redhat.io/ubi8/openjdk-8:latest:
            Get "https://registry.redhat.io/v2/": Forbidden
          generation: 2

